net.fortuna.ical4j.util

## Class EncoderFactory

- java.lang.Object
- - net.fortuna.ical4j.util.EncoderFactory

Direct Known Subclasses:
  DefaultEncoderFactory

    public abstract class EncoderFactory
    extends Object

Abstract base class for encoder factory implementations. $Id$ Created on 13/05/2006

Author:
  Ben Fortuna

### Field Summary

Fields
`static String` `KEY_FACTORY_CLASS` The system property used to specify an alternate `EncoderFactory` implementation.

### Constructor Summary

Constructors
Constructor and Description
`EncoderFactory()`

### Method Summary

Methods
`abstract org.apache.commons.codec.BinaryEncoder` `createBinaryEncoder(Encoding encoding)` Returns a new `BinaryEncoder` for the specified encoding.
`abstract org.apache.commons.codec.StringEncoder` `createStringEncoder(Encoding encoding)` Returns a new `StringEncoder` for the specified encoding.
`static EncoderFactory` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

The system property used to specify an alternate `EncoderFactory` implementation.

See Also:
  Constant Field Values

### Constructor Detail

#### EncoderFactory

    public EncoderFactory()

### Method Detail

#### getInstance

    public static final EncoderFactory getInstance()

Returns:
  Returns the instance.

#### createBinaryEncoder

    public abstract org.apache.commons.codec.BinaryEncoder createBinaryEncoder(Encoding encoding)
                                                                        throws UnsupportedEncodingException

Returns a new `BinaryEncoder` for the specified encoding.

Parameters:
  `encoding` - an encoding type
Returns:
  a `BinaryEncoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

#### createStringEncoder

    public abstract org.apache.commons.codec.StringEncoder createStringEncoder(Encoding encoding)
                                                                        throws UnsupportedEncodingException

Returns a new `StringEncoder` for the specified encoding.

Parameters:
  `encoding` - an encoding type
Returns:
  a `StringEncoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.